fuck_ask
@fuck_ask
web программист

Как исправить ошибку при обновлении MariaDB (Transaction check error)?

Выводит ошибку конфликта, при обновлении. В инете ничего нет и не понятно как это исправлять. Хостинг ihc.ru.
OС Centos 7 + ispmanager 5 64bit.
Помогите пожалуйста!
В файле yum.repos.d/MariaDB.repo добавил:
# MariaDB 10.4 CentOS repository list - created 2019-10-12 11:18 UTC
# http://downloads.mariadb.org/mariadb/repositories/
[mariadb]
name = MariaDB
baseurl = http://yum.mariadb.org/10.4/centos7-amd64
gpgkey=https://yum.mariadb.org/RPM-GPG-KEY-MariaDB
gpgcheck=1

Полный код ошибки в ssh:
Loaded plugins: fastestmirror                                                                                                         
Loading mirror speeds from cached hostfile                                                                                            
 * base: mirror.docker.ru                                                                                                             
 * epel: ru.download.ispsystem.com                                                                                                    
 * extras: mirror.docker.ru                                                                                                           
 * ispsystem-5.217: ru.download.ispsystem.com                                                                                         
 * ispsystem-base: ru.download.ispsystem.com                                                                                          
 * remi: mirror.reconn.ru                                                                                                             
 * remi-php56: mirror.reconn.ru                                                                                                       
 * remi-safe: mirror.reconn.ru                                                                                                        
 * updates: mirror.docker.ru                                                                                                          
Resolving Dependencies                                                                                                                
--> Running transaction check                                                                                                         
---> Package MariaDB-client.x86_64 0:10.1.41-1.el7.centos will be updated                                                             
---> Package MariaDB-client.x86_64 0:10.4.8-1.el7.centos will be an update                                                            
---> Package MariaDB-server.x86_64 0:10.1.41-1.el7.centos will be updated                                                             
---> Package MariaDB-server.x86_64 0:10.4.8-1.el7.centos will be an update                                                            
--> Processing Dependency: galera-4 for package: MariaDB-server-10.4.8-1.el7.centos.x86_64                                            
--> Running transaction check                                                                                                         
---> Package galera-4.x86_64 0:26.4.2-1.rhel7.el7.centos will be installed                                                            
--> Finished Dependency Resolution                                                                                                    
                                                                                                                                      
Dependencies Resolved                                                                                                                 
                                                                                                                                      
======================================================================================================================================
 Package                         Arch                    Version                                       Repository                Size 
======================================================================================================================================
Updating:                                                                                                                             
 MariaDB-client                  x86_64                  10.4.8-1.el7.centos                           mariadb                   12 M
 MariaDB-server                  x86_64                  10.4.8-1.el7.centos                           mariadb                   26 M
Installing for dependencies:                                                                                                          
 galera-4                        x86_64                  26.4.2-1.rhel7.el7.centos                     mariadb                  9.4 M
                                                                                                                                      
Transaction Summary                                                                                                                   
======================================================================================================================================
Install             ( 1 Dependent package)                                                                                            
Upgrade  2 Packages                                                                                                                   
                                                                                                                                      
Total size: 47 M                                                                                                                      
Is this ok [y/d/N]: y                                                                                                                 
Is this ok [y/d/N]: y                                                                                                                 
Downloading packages:                                                                                                                 
Running transaction check                                                                                                             
Running transaction test                                                                                                              
                                                                                                                                      
                                                                                                                                      
Transaction check error:                                                                                                              
  file /usr/bin/garbd from install of galera-4-26.4.2-1.rhel7.el7.centos.x86_64 conflicts with file from package galera-25.3.26-1.rhel
7.el7.centos.x86_64                                                                                                                   
                                                                                                                                      
Error Summary                                                                                                                         
-------------
  • Вопрос задан
  • 77 просмотров
Решения вопроса 1
martin74ua
@martin74ua
Linux administrator
Вам же написали.
file /usr/bin/garbd from install of galera-4-26.4.2-1.rhel7.el7.centos.x86_64 conflicts with file from package galera-25.3.26-1.rhel7.el7.centos.x86_64

У вас стоит более свежая версия galera, чем требуется пакетам, что вы ставите. Или опустите версию, или удалите galera, тогда зависимости подтянутся
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы